import $ from "jquery";

$(window).ready(
    () => {
        $("#generate-url").on(
            "click",
            event => {
                event.preventDefault();

                const form = $("#asset-info-form")[0];

                if (!form.checkValidity()) {
                    form.reportValidity();
                    return;
                }

                let width = $("#width").val();
                let height = $("#height").val();

                if (width === "" && height === "") {
                    alert("Prosím, vyplň aspoň jeden rozměr.");
                    return;
                }

                let path = $("#path").val();

                if (!path.startsWith("/")) {
                    path = `/${path}`;
                }

                if (width === "") { width = "-" }
                if (height === "") { height = "-" }

                const url = `https://a.pirati.cz/resize/${width}x${height}${path}`;

                $("#result").attr("href", url);
                $("#result").html(url);

                $("#result-wrapper").removeClass("hidden");
            }
        );
    }
)
